<?php

class StockModel extends mainModel {

    public function __construct() {
        $registry = Registry::getInstance();
        $registry->depot = new WarehouseDepot();
        $registry->currency = new Currency();
        $registry->todate = new Date();
        $registry->material = new Material();
        $registry->product = new Product();
        $registry->symbol = new CurrencyFactory();
        $registry->employee = new Employee();
        $registry->organization = new Organization();
        $registry->return = new ReturnInvoice();
        $registry->purchase = new Purchase();
        $registry->LoadingOrder = new LoadingOrder();
        $registry->invoice = new Invoice();
    }

    public static function getmsg($msg) {
//        session_start();
        //            $lang = new CommonLanguage();
        return CommonLanguage::getMessage($msg);
    }

}
